<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">

    <style>
        .input-group-append {
            cursor: pointer;
        }
    </style>
    <title>Jabatan Karyawan</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <h3>Jabatan Karyawan</h3>
                    <h4 th:text="${'Nama : ' + karyawan.namaKaryawan}">I am an info callout!</h4>
                    <p th:text="${'Jenis Kelamin : ' + karyawan.jenisKelamin}">Follow the steps to continue to payment.</p>
                </div>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/masterdata/karyawan/jabatan/save(detail=${karyawan.id})}" th:object="${karyawanJabatan}" method="post">
                    <div class="card">
                        <div class="card-body">

                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">Jabatan</label>
                                <select class="form-select" id="selectsatu" name="jabatan" th:field="*{jabatan}" data-placeholder="Choose one thing" required>
                                    <option th:each="data : ${listJabatan}"
                                            th:text="${'('+ data.kodeJabatan +')'  + '       -       ' +  data.namaJabatan}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>

                            <div class="mb-3">
                                <label for="tanggalBerlaku" class="form-label">Tanggal Berlaku</label>
                                <input type="date" class="form-control" id="tanggalBerlaku" th:field="*{tanggalBerlaku}" name="tanggalBerlaku" placeholder="Title">
                                <p th:if="${#fields.hasErrors('tanggalBerlaku')}" th:errors="*{tanggalBerlaku}" class="text-danger"> Mata Anggaran Error</p>
                            </div>


                            <div class="mb-3">
                                <label for="keterangan" class="form-label">Keterangan</label>
                                <input type="text" class="form-control" id="keterangan" th:field="*{keterangan}" name="keterangan" placeholder="Title">
                                <p th:if="${#fields.hasErrors('keterangan')}" th:errors="*{keterangan}" class="text-danger"> Mata Anggaran Error</p>
                            </div>


                            <div class="form-check">
                                <input name="statusAktif" id="statusAktif" type="checkbox" class="form-check-input" th:field="*{statusAktif}" value="AKTIF" >
                                <label class="form-check-label" for="statusAktif">
                                    Active
                                </label>
                            </div>

                            <input type="hidden" name="karyawan" th:field="*{karyawan}">
                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-body">
                            <a th:href="@{/masterdata/karyawan/detail(detail=${karyawan.id})}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </main>
</main>

</body>
</html>



<!--</html>-->


<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Title</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Jabatan Karyawan-->
<!--        <small>Form</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->

<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            <div class="callout callout-info">-->
<!--                <h4 th:text="${'Nama : ' + karyawan.namaKaryawan}">I am an info callout!</h4>-->
<!--                <p th:text="${'Jenis Kelamin : ' + karyawan.jenisKelamin}">Follow the steps to continue to payment.</p>-->
<!--            </div>-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Form Jabatan</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/masterdata/karyawan/jabatan/save(detail=${karyawan.id})}" th:object="${karyawanJabatan}" method="post">-->
<!--                    <div class="box-body">-->

<!--                        <div class="form-group">-->
<!--                            <label for="jabatan" class="col-sm-2 control-label">Jabatan</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="jabatan" th:field="*{jabatan}" id="jabatan" style="width: 100%;">-->
<!--                                    <option th:each="data : ${listJabatan}"-->
<!--                                            th:text="${'('+ data.kodeJabatan +')'  + '       -       ' +  data.namaJabatan}"-->
<!--                                            th:value="${data.id}">sdasd</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="mulaiBerlaku"  class="col-sm-2 control-label">Mulai Berlaku</label>-->
<!--                            <div class="col-sm-10">-->

<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input type="text" class="form-control pull-right" id="mulaiBerlaku" th:field="*{tanggalBerlaku}" name="mulaiBerlaku" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                                &lt;!&ndash;                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">&ndash;&gt;-->

<!--                                <p th:if="${#fields.hasErrors('tanggalBerlaku')}" th:errors="*{tanggalBerlaku}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="inputKeterangan" class="col-sm-2 control-label">Keterangan</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{keterangan}" name="ketarangan" id="inputKeterangan" placeholder="Keterangan">-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="statusAktif"  class="col-sm-2 control-label">Aktif</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <input name="statusAktif" id="statusAktif" type="checkbox" class="flat-red" th:field="*{statusAktif}" value="AKTIF" >-->
<!--                            </div>-->
<!--                        </div>-->




<!--                        <input type="hidden" name="karyawan" th:field="*{karyawan}">-->
<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/masterdata/karyawan/detail(detail=${karyawan.id})}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#mulaiBerlaku').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
